Bug 1310542 - LiveUSBCreator as Primary Downloadable
LiveUSBCreator as Primary Downloadable
Status: NEW
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Eischmann
ChangeAcceptedF24, SystemWideChange
:
Depends On: 1318491 1328560 1328563 1444277 1318492 1318494 1319915 1320082 1320279 1320326 1324600 1328337 1328340 1328369 1328452 1328457 1328462 1328484 1328498 1328789 1329532 1329608 1329611 1329995 1377604 1377655 1377825
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 03:12 EST by Jan Kurik
Modified: 2017-04-20 23:36 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A list of the bugs found during testing. (569.18 KB, application/octet-stream)
2016-04-21 09:52 EDT, Leslie Satenstein
no flags Details

  None (edit)
Description Jan Kurik 2016-02-22 03:12:08 EST
This is a tracking bug for Change: LiveUSBCreator as Primary Downloadable
For more details, see: https://fedoraproject.org//wiki/Changes/LUCasPrimaryDownloadable

The new Fedora Live USB Creator that is being finished has an overhauled, more user friendly interface. Because USB sticks are the most common way to install Fedora, it should be the primary download option. It cover the whole installation media creation, it lets the user pick the right flavor of Fedora, downloads its image, and copies it to a USB drive.
Comment 1 Jan Kurik 2016-02-24 09:26:23 EST
On 2016-Feb-23, we have reached Fedora 24 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-Feb-26 meeting.  Contingency plan for System Wide Changes, if planned for Alpha (or in case of serious doubts regarding Change completion), will be activated.
Comment 2 Martin Bříza 2016-02-25 10:54:18 EST
The testing package is currently included in Fedora 24 and 25. I will import it in Fedora 23 and 22 updates-testing repositories, too if there is neutral or positive feedback.
Comment 3 Chris Murphy 2016-03-17 00:06:42 EDT
1.
liveusb-creator-3.90.0-1.fc24.noarch.rpm on Fedora 23 installs without error but fails to launch.

Mar 16 21:44:30 f23m.localdomain liveusb-creator.desktop[13117]: Error accessing /usr/sbin/liveusb-creator: No such file or directory

# find /usr -name liveusb*
/usr/bin/liveusb-creator
/usr/bin/liveusb-creator_polkit

sudo /usr/bin/liveusb-creator does work (on X, probably not on wayland)

2.
Currently "use dd to write" is not selected by default in options, while "reset the mbr" is checked. Seems these should be reversed, so I'm not sure this is the right version to test?

3.
Since testers will mainly want to test Fedora 23 or 22 + Live USB Creator to mimick how users will actually create Fedora 24 installation media, I think the package needs to be built for at least F23 and available to download in koji.
Comment 4 Martin Bříza 2016-03-21 06:01:10 EDT
Hi Chris,

I'm currently building 3.91.0-1 pre-release of the liveusb-creator (now called Fedora Media Writer). It will be done in a few minutes.
I'll let it go to the stable repository for Fedora 24 after being in updates-testing. In Fedora 23 and 22 it will stay in updates-testing indefinitely (until there's a final release).
It solves problems you numbered 2 and 3. Problem number 1 is to be solved in a future update. For now, please run the tool using the `sudo liveusb-creator` command.

Thank you
Comment 5 Martin Bříza 2016-03-21 06:21:55 EDT
Ok, so far only F22 and F23 builds are done due to an error in Qt packaging. Newer ones are coming in a few days.
Comment 6 Matthew Miller 2016-03-29 17:48:19 EDT
I notice that this isn't the primary downloadable for the alpha. Do we have a plan to make it so for the beta?
Comment 7 satellitgo 2016-03-29 21:25:28 EDT
I use liveusb-creator for soas. Have used it for years.
I suggest that the existing GUI interface is fine but should:
1) default to (X) dd (overwrite) mode  and have a ( )reset-mbr checkbox to replace of the  old non-working persistence default. 
2) It would be nice to add the f24 alpha and beta builds to the listing of downloadable .iso's as they are voted for go/no-go .
3) The default download directory in now / ;it should be the users  /download direcory for consistency.
Comment 8 satellitgo 2016-04-06 13:25:19 EDT
liveusb-creator 3.90.0-1.fc24.noarch  is present in a HD install of Fedora-KDE-Live-x86_64-24_Alpha-7.iso 

Testing : 
liveusb-creator does not start in Fedora-KDE-Live-x86_64-24_Alpha-7.iso install to HD (updated 6 april 2016)unless called from terminal.

Only f23.iso's are offered (Downloaded to Home)

Only Fedora Workstation and Fedora Server are offered in first screen
Custom OS does not work crashes LUC; error:"Qwidget: cannot create a Qwidget without QApplication"

Other spins are partially hidden behind [----] (Including Fedora KDE Plasma Desktop)
Comment 10 Chris Murphy 2016-04-06 16:18:51 EDT
satellite you should be testing 3.91 as mentioned in comment 4. That version is not in bodhi, it's only in koji right now.
http://koji.fedoraproject.org/koji/packageinfo?packageID=6691
Comment 12 Leslie Satenstein 2016-04-19 08:13:27 EDT
The download failed, but from the repository info I was able to proceed to the directory and install the F23 version on F23.

Note:The bar that fills up the screen moves slowly, so that we are unable to tell if the program has started.

Note: Having started the download, I switched back to the main screen. There was no indicator on this screen that the dl was under way. 

There was no selection option to specify where I would like the download to be placed. 

(My Download/ISO/F24 is the directory I want to use for downloads.

To which directory is the download being written? I could not find the dl'd file.

Finally
Comment 13 Leslie Satenstein 2016-04-19 08:17:15 EDT
As documented, the program will perform a 

dd if=media.writer.location/selected_iso, of=device_id

With/For some flashdrives, this command alone is dangerous.

I most highly recommended is to include a sync command with dd 

as

dd if=media.writer.location/selected_iso of=device_id  && sync

better yet add the bs=1M

dd if=media.writer.location/selected_iso of=device_id bs=1M && sync

Important
Not all flashdrives have indicator lights.
Not all flashdrives have indicator lights
Not all flashdrives have indicator ligthts

How do I know when I can eject the flashdrive?  Unless the sync command is present as part of the dd command line. 

Without the sync command there is a chance that the "dd" buffers contents will not be fully written to the flashdrive before I pull the drive from the USB socket.     

The sync command is to necessary to insure that the complete transfer to the flashdrive has completed before proceeding to the next step in the program  

The program needs a message to state that the flashdrive is ready.
Comment 14 Kamil Páral 2016-04-19 09:07:50 EDT
Some additional bugs to this tracker bug are reported here:
https://github.com/lmacken/liveusb-creator/issues

Leslie, please stop reporting into tracker bugs, and file a new report for each issue. This is not a chat.
Comment 15 Jan Kurik 2016-04-20 11:02:21 EDT
On 2016-Apr-19 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 24 release. At this point all the Changes not at least in in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan
Comment 16 Jiri Eischmann 2016-04-20 11:17:56 EDT
We consider the Live USB Creator feature complete for F24 release. However, yesterday's testing day discovered several bugs which were even proposed as beta blockers. Martin's currently addressing them.

He had a meeting with releng yesterday and agreed on a way to build the Windows version. But it needs an approval by FESCo. Dennis Gilmore is currently in the process of writing up a ticket.
Comment 17 Kamil Páral 2016-04-21 04:18:17 EDT
Here's a ticket (not sure if it's "the" ticket):
https://fedorahosted.org/fesco/ticket/1572
Comment 18 Leslie Satenstein 2016-04-21 09:52 EDT
Created attachment 1149471 [details]
A list of the bugs found during testing.

A list of Bugs detected and come user feedback.

Many problems shown and documented.

Use libreOffice to read the document.
Comment 19 Jan Kurik 2016-04-26 09:28:38 EDT
Postponed to Fedora 25.
Comment 20 Martin Bříza 2016-04-29 04:33:13 EDT
(In reply to Leslie Satenstein from comment #18)
> Created attachment 1149471 [details]
> A list of the bugs found during testing.
> 
> A list of Bugs detected and come user feedback.
> 
> Many problems shown and documented.
> 
> Use libreOffice to read the document.

Hi, 
thanks for the report.
First I'd like to point out you were using an outdated version of the creator. The most recent one was in the updates-testing repository during the process of testing the tool. Now there is a recent-ish version in stable Fedora branches and I'm going to push a newer one to testing today or some time next week.
There is only one point valid to the recent versions: the necessity to enter the password when you start the tool and not when you're writing the image. This is a result of the architecture of the tool - in future, if it is rewritten, this could be a subject to change, however it adds unnecessary complexity to the codebase.
I'll se what I can do about that in the future.
Also, please create future bug reports as real separate bugs in the bugzilla, reported against the liveusb-creator component. Having a report as a comment below some other report makes it hard for me to track all open issues.
Thank you,
Martin
Comment 21 Zach Oglesby 2016-06-24 10:08:28 EDT
The security team was asked to look at the build process of this tool. I asked in https://fedorahosted.org/fedora-security-team/ticket/1 for more details about what is done to build the executables, but have not heard anything. Can someone here fill me in.
Comment 22 satellitgo 2016-07-24 19:13:15 EDT
I just tried to use 
https://fedorahosted.org/liveusb-creator/
 https://fedorahosted.org/releases/l/i/liveusb-creator/liveusb-creator-3.12.0-setup.exe
 in Windows 10
Program loads but resulting usb does not boot in bios-boot or win 10 EFI
Comment 23 satellitgo 2016-07-24 19:19:06 EDT
(In reply to satellitgo from comment #22)
> I just tried to use 
> https://fedorahosted.org/liveusb-creator/
>  https://fedorahosted.org/releases/l/i/liveusb-creator/liveusb-creator-3.12.
> 0-setup.exe
with f24 Soas x86_64 release
>  in Windows 10
> Program loads but resulting usb does not boot in bios-boot
 Get flashing cursor on blank screen
EFI boot works after setting the USB boot flag in gparted in fedora.
Comment 24 Jan Kurik 2016-07-26 00:23:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Note You need to log in before you can comment on or make changes to this bug.